{% extends "store/base.html" %}
{% load static %}
{% block title %}{{category_item.category}}{% endblock title %}
{% block main-content %}
<div class="container my-5">
 <div class="row">
  <div class="col-sm-3">
   <div class="list-group">
       <a href="{% url 'category' category_item.id %}" class="list-group-item list-group-item-action" aria-current="true">All {{category_item.category}}</a>
        <div class="header-bottom-set-dropdown list-group-item list-group-item-action">
            Sort by:
               <button class="dropdown-toggle header-action-btn" data-bs-toggle="dropdown">All <i class="fa fa-angle-down"></i></button>
               <ul class="dropdown-menu dropdown-menu-right">
                   <li><a class="dropdown-item" href="{% url 'category-data' category_item.id 'price-low-to-high' %}">Price, Low to High</a></li>
                   <li><a class="dropdown-item" href="{% url 'category-data' category_item.id 'price-high-to-low' %}">Price, High to Low</a></li>
                   <li><a class="dropdown-item" href="{% url 'category-data' category_item.id 'popular-products' %}">Popular Products</a></li>
               </ul>
           </div>
       <form action="{% url 'category-filter' category_item.id %}" method="GET">
       <div class="price-filter list-group-item list-group-item-action" aria-current="true">
           <p>Price</p>
           <label for="min_value">Min:</label>
           <input class="price-box" type="text" name="min_value" id="min_value" value="10">
           <input class="price-box" type="range" name="minimum" id="minimum" value="10" min="5" max="5000" step="10">
           <script type="text/javascript" src="https://code.jquery.com/jquery-1.7.1.min.js">
               $(document).ready(function(){
                    $('#minimum').change(function(){
                        var new_val= $(this).val();
                        $('#min_value').val(new_val);

                    });
               });
           </script>
       </div>
       <div class="price-filter list-group-item list-group-item-action" aria-current="true">
           <label for="max_value">Max:</label>
           <input class="price-box" type="text" name="max_value" id="max_value" value="500">
           <input class="price-box" type="range" name="maximum" id="maximum" value="500" min="50" max="5000" step="10">
           <script type="text/javascript" src="https://code.jquery.com/jquery-1.7.1.min.js">
               $(document).ready(function() {
                    $('#maximum').change(function(){
                        var newval = $(this).val();
                        $('#max_value').val(newval);

                    });
               });
           </script>
       </div>
       <input class="btn btn-primary" type="submit" value="Apply-filter">
       </form>
   </div>
  </div>
  <div class="col-sm-8 offset-sm-1">
   <div class="row">
       {% if product_low_to_high %}
            {% for product in product_low_to_high %}
                <div class="col sm-4 text-center mb-4">
                       <a href="{% url 'product-detail' product.id %}" class="btn">
                           <div class="item">
                               <img src="{{product.product_img.url}}" alt="" height="300" class="">
                               <div class="fw-bold">{{product.title}}</div>
                               <div class="fw-bold">Rs.  {{product.discounted_price}}
                                   <small class="fw-light text-decoration-line-through">{{product.selling_price}}</small></div>
                           </div>
                       </a>
                   </div>
            {% endfor %}
         </div>
       {% if product_low_to_high.has_previous %}
            <a class="btn btn-outline-info mb-4" href="?page=1">First</a>
            <a class="btn btn-outline-info mb-4" href="?page={{ product_low_to_high.previous_page_number }}">Previous</a>
          {% endif %}
          Page {{product_low_to_high.number}} of {{ product_low_to_high.paginator.num_pages }}
          {% if product_low_to_high.has_next %}
            <a class="btn btn-outline-info mb-4" href="?page={{ product_low_to_high.next_page_number }}">Next</a>
            <a class="btn btn-outline-info mb-4" href="?page={{ product_low_to_high.paginator.num_pages }}">Last</a>
          {% endif %}
       {% endif %}
       {% if product_high_to_low %}
            {% for product in product_high_to_low %}
                   <div class="col sm-4 text-center mb-4">
                       <a href="{% url 'product-detail' product.id %}" class="btn">
                           <div class="item">
                               <img src="{{product.product_img.url}}" alt="" height="300" class="">
                               <div class="fw-bold">{{product.title}}</div>
                               <div class="fw-bold">Rs.  {{product.discounted_price}}
                                   <small class="fw-light text-decoration-line-through">{{product.selling_price}}</small></div>
                           </div>
                       </a>
                   </div>
            {% endfor %}
      </div>
      {% if product_high_to_low.has_previous %}
            <a class="btn btn-outline-info mb-4" href="?page=1">First</a>
            <a class="btn btn-outline-info mb-4" href="?page={{ product_high_to_low.previous_page_number }}">Previous</a>
          {% endif %}
          Page {{product_high_to_low.number}} of {{ product_high_to_low.paginator.num_pages }}
          {% if product_high_to_low.has_next %}
            <a class="btn btn-outline-info mb-4" href="?page={{ product_high_to_low.next_page_number }}">Next</a>
            <a class="btn btn-outline-info mb-4" href="?page={{ product_high_to_low.paginator.num_pages }}">Last</a>
          {% endif %}
       {% endif %}

       {% if popular_products %}
            {% for product in popular_products %}
                   <div class="col sm-4 text-center mb-4">
                       <a href="{% url 'product-detail' product.id %}" class="btn">
                           <div class="item">
                               <img src="{{product.product_img.url}}" alt="" height="300" class="">
                               <div class="fw-bold">{{product.title}}</div>
                               <div class="fw-bold">Rs.  {{product.discounted_price}}
                                   <small class="fw-light text-decoration-line-through">{{product.selling_price}}</small></div>
                           </div>
                       </a>
                   </div>
            {% endfor %}
     </div>
      {% if popular_products.has_previous %}
            <a class="btn btn-outline-info mb-4" href="?page=1">First</a>
            <a class="btn btn-outline-info mb-4" href="?page={{ popular_products.previous_page_number }}">Previous</a>
          {% endif %}
          Page {{popular_products.number}} of {{ popular_products.paginator.num_pages }}
          {% if popular_products.has_next %}
            <a class="btn btn-outline-info mb-4" href="?page={{ popular_products.next_page_number }}">Next</a>
            <a class="btn btn-outline-info mb-4" href="?page={{ popular_products.paginator.num_pages }}">Last</a>
          {% endif %}
       {% endif %}
       {% if not data %}
            {% for product in product_item %}
                   <div class="col sm-4 text-center mb-4">
                       <a href="{% url 'product-detail' product.id %}" class="btn">
                           <div class="item">
                               <img src="{{product.product_img.url}}" alt="" height="300" class="">
                               <div class="fw-bold">{{product.title}}</div>
                               <div class="fw-bold">Rs.  {{product.discounted_price}}
                                   <small class="fw-light text-decoration-line-through">{{product.selling_price}}</small></div>
                           </div>
                       </a>
                   </div>
            {% endfor %}
          </div>
          {% if product_item.has_previous %}
                <a class="btn btn-outline-info mb-4" href="?page=1">First</a>
                <a class="btn btn-outline-info mb-4" href="?page={{ product_item.previous_page_number }}">Previous</a>
              {% endif %}
              Page {{product_item.number}} of {{ product_item.paginator.num_pages }}
              {% if product_item.has_next %}
                <a class="btn btn-outline-info mb-4" href="?page={{ product_item.next_page_number }}">Next</a>
                <a class="btn btn-outline-info mb-4" href="?page={{ product_item.paginator.num_pages }}">Last</a>
              {% endif %}
           {% endif %}

{% endblock main-content %}